
Ruby - Feature #6637

Add HTML5 support to CGI

06/24/2012 06:53 AM - stomar (Marcus Stollsteimer)

Status: Closed   

Priority: Normal   

Assignee: xibbar (Takeyuki FUJIOKA)   

Target version: 2.0.0   

Description

=begin

The attached patch adds support for HTML 5, providing

the doctype  and the tag helpers for the

new HTML elements (article, section, ...).

Changes were made in

`lib/cgi/core.rb'

`lib/cgi/html.rb'

Tests were added to

`test/cgi/test_cgi_core.rb'

((Notice:)) the new HTML5 `header' element has ((not)) been added,

because it collides with the already defined CGI#header

method that creates the HTTP header block.

To avoid unreflected addition of this element, a test has

been included to make sure that CGI#header won't break.

Detailed list of changes in `html.rb' (in comparison to HTML 4 strict):

doctype changed

new elements added

removed elements: tt, big, acronym

void elements: area, base, br, col, command, embed, hr, img, input, keygen, link, meta, param, source, track, wbr

new elements with optional end tag: optgroup, rt, rp

See the Editor's Draft of the HTML5 specification (15 June 2012):

((URL:http://dev.w3.org/html5/spec/)).

=end

Related issues:

Related to Ruby - Bug #7110: CGI: Add support for HTML5 <header> tag Closed 10/05/2012

Associated revisions

Revision aeca9656813575c0ffd696115a607a43eb776012 - 10/04/2012 02:20 AM - Takeyuki FUJIOKA 

lib/cgi/html5.rb: Add html5 tag maker.

lib/cgi/core.rb: ditto.

[Feature #6637]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@37077 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision aeca9656 - 10/04/2012 02:20 AM - Takeyuki FUJIOKA 

lib/cgi/html5.rb: Add html5 tag maker.

lib/cgi/core.rb: ditto.

[Feature #6637]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@37077 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
#1 - 07/01/2012 10:45 AM - mame (Yusuke Endoh)

- Status changed from Open to Assigned

- Assignee set to xibbar (Takeyuki FUJIOKA)

#2 - 07/02/2012 01:54 AM - stomar (Marcus Stollsteimer)

- File 6637.pdf added

Slide added (attached 6637.pdf).

Content:

Feature #6637: Add HTML5 support to CGI, now!

Motivation

CGI: provides methods for generating HTML elements

HTML5 already widely used, support highly desirable

Contra

new element <header> collides with existing CGI#header

(which returns the HTTP header)

suggestion:

rename CGI#header, possibly to CGI#http_header

Proposal

at least, include support for nearly all new HTML5 elements

(easy to achieve, no compatibility issues, patch supplied)

if possible, achieve full support

(this could not be done in a minor release)

#3 - 07/02/2012 03:26 AM - mame (Yusuke Endoh)

Received, thank you!

Unfortunately, CGI maintainer (Takeyuki Fujioka) is not planning to attend the developers' meeting.

So it may be difficult to determine to accept your proposal.  But we'll discuss it.  Thank you again!

--

Yusuke Endoh mame@tsg.ne.jp

#4 - 07/04/2012 05:26 AM - xibbar (Takeyuki FUJIOKA)

I think your proposal is good.

I will insert your patch to my branch and test.

Please wait so days.

Thank you.

#5 - 07/24/2012 10:20 PM - mame (Yusuke Endoh)

Marcus Stollsteimer,

We discussed your slide at the developer meeting (7/21), and

left this issue up to the CGI maintainer (Takeyuki Fujioka).

--

Yusuke Endoh mame@tsg.ne.jp

#6 - 09/23/2012 02:58 AM - stomar (Marcus Stollsteimer)

=begin

Hi Takeyuki,

have you come to any conclusions?
In case you consider support of all new HTML5 tags,

including  , I would be willing to provide

a new set of patches: 

first patch to rename CGI#header to CGI#http_header

(breaking downward compatibility)

second patch to provide full HTML5 support at once

Regards,

Marcus

=end

#7 - 10/04/2012 11:03 AM - xibbar (Takeyuki FUJIOKA)

- Category set to lib

- Target version set to 2.0.0

Sorry, I was into other cgi performance tuning.

I will commit immediately.

#8 - 10/04/2012 11:20 AM - xibbar (Takeyuki FUJIOKA)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r37077.

Marcus, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

lib/cgi/html5.rb: Add html5 tag maker.

lib/cgi/core.rb: ditto.

[Feature #6637]

#9 - 10/04/2012 07:32 PM - stomar (Marcus Stollsteimer)

=begin

Hi Takeyuki,

Did you consider the issue with the   tag?

At the moment it can not be created with the tag writer

like the other tags. I proposed a possible solution

in my previous posts. 

Do you have any thoughts about this point?

Regards,

Marcus

BTW. I would have appreciated being mentioned in

the log message, like it's done by other committers

("patch by ..."), considerung the effort I put into this.

=end

#10 - 10/04/2012 08:48 PM - xibbar (Takeyuki FUJIOKA)

- Status changed from Closed to Feedback

I need your full support patch to support the complete HTML5.

I will write "patch by stomar" to log, I promise.

Please provide.

#11 - 10/05/2012 10:23 PM - stomar (Marcus Stollsteimer)

=begin

Since this issue is already closed, I opened a new one, see #7110.

=end
#12 - 10/27/2012 07:12 AM - ko1 (Koichi Sasada)

- Status changed from Feedback to Closed

It seems closed.

Files

html5_support_lib_cgi.patch 3.46 KB 06/24/2012 stomar (Marcus Stollsteimer)

6637.pdf 64.8 KB 07/02/2012 stomar (Marcus Stollsteimer)
